Skip to main content

Update Applicant: MRI

PUThttps://api.propexo.com/v1/applicants/mri/:applicant_id
Method
/mriapiservices/api.asp?$api=MRI_S-PMRM_GuestCardsBySiteID

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

applicant_id stringrequired

The Propexo unique identifier for the applicant

Request​

This endpoint expects an object.

    address_type_idstring

    The Propexo unique identifier for the address type. This is required when updating the address

    first_namestring

    The first name associated with the applicant

    last_namestring

    The last name associated with the applicant

    email_1string

    The primary email address associated with the applicant

    address_1string

    The first address line associated with the applicant

    address_2string

    The second address line associated with the applicant

    citystring

    The city associated with the applicant

    statestring

    The state associated with the applicant

    Show 57 enum values
    AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWY
    zipstring

    The zip code associated with the applicant

    target_move_in_datestring

    The target move in date for the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    desired_num_bedroomsnumber

    The desired number of bedrooms

    desired_num_bathroomsstring

    The desired number of bathrooms

    desired_lease_term_in_monthsnumber

    The desired lease term in months of the applicant

    number_of_occupantsnumber

    The number of occupants for the applicant

    notesstring

    Notes associated with the applicant

    Possible values: <= 30 characters

    phone_1string

    Primary phone number associated with the applicant

    phone_1_typestring

    Type of the primary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    phone_2string

    Secondary phone number associated with the applicant

    phone_2_typestring

    Type of the secondary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    applicant_statusstring

    The status of the applicant. This is optional and defaults to ACTIVE.

    Show 3 enum values
    APPLICANTCO_APPLICANTOCCUPANT

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    applicant_idstringrequired

    The Propexo unique identifier for the applicant

    address_type_idstring

    The Propexo unique identifier for the address type. This is required when updating the address

    first_namestring

    The first name associated with the applicant

    last_namestring

    The last name associated with the applicant

    email_1string

    The primary email address associated with the applicant

    address_1string

    The first address line associated with the applicant

    address_2string

    The second address line associated with the applicant

    citystring

    The city associated with the applicant

    statestring

    The state associated with the applicant

    Show 57 enum values
    AAAEAKALAPARASAZCACOCTDCDEFLFMGAGUHIIAIDINKSKYLAMAMDMEMHMIMNMOMPMSMTNCNENLNJNMNVNYOHOKORPAPRSDTNTXUTVAVIVTWAWIWVWY
    zipstring

    The zip code associated with the applicant

    target_move_in_datestring

    The target move in date for the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    desired_num_bedroomsnumber

    The desired number of bedrooms

    desired_num_bathroomsstring

    The desired number of bathrooms

    desired_lease_term_in_monthsnumber

    The desired lease term in months of the applicant

    number_of_occupantsnumber

    The number of occupants for the applicant

    notesstring

    Notes associated with the applicant

    Possible values: <= 30 characters

    phone_1string

    Primary phone number associated with the applicant

    phone_1_typestring

    Type of the primary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    phone_2string

    Secondary phone number associated with the applicant

    phone_2_typestring

    Type of the secondary phone number

    Show 5 enum values
    FAXHOMEMOBILEOTHERWORK
    applicant_statusstring

    The status of the applicant. This is optional and defaults to ACTIVE.

    Show 3 enum values
    APPLICANTCO_APPLICANTOCCUPANT

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/applicants/mri/:applicant_id
curl -X PUT https://api.propexo.com/v1/applicants/mri/:applicant_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"address_type_id": "string",
"first_name": "string",
"last_name": "string",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "AA",
"zip": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"desired_num_bedrooms": 0,
"desired_num_bathrooms": "string",
"desired_lease_term_in_months": 0,
"number_of_occupants": 0,
"notes": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"applicant_status": "APPLICANT"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"applicant_id": "string",
"address_type_id": "string",
"first_name": "string",
"last_name": "string",
"email_1": "string",
"address_1": "string",
"address_2": "string",
"city": "string",
"state": "AA",
"zip": "string",
"target_move_in_date": "2024-07-29T15:51:28.071Z",
"desired_num_bedrooms": 0,
"desired_num_bathrooms": "string",
"desired_lease_term_in_months": 0,
"number_of_occupants": 0,
"notes": "string",
"phone_1": "string",
"phone_1_type": "FAX",
"phone_2": "string",
"phone_2_type": "FAX",
"applicant_status": "APPLICANT"
}
}